# synfig::ValueNode_Reference Class Reference

`#include <valuenode_reference.h>`

Inheritance diagram for synfig::ValueNode_Reference:

List of all members.

## Public Types

typedef etl::handle < ValueNode_Reference > | Handle
typedef etl::handle< const ValueNode_Reference > | ConstHandle

## Public Member Functions

| ValueNode_Reference (const ValueBase::Type &x)
| ValueNode_Reference (const ValueNode::Handle &x)
virtual ValueNode::LooseHandle | get_link_vfunc (int i) const
virtual int | link_count () const
virtual String | link_name (int i) const
virtual String | link_local_name (int i) const
virtual int | get_link_index_from_name (const String &name) const
virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
virtual | ~ValueNode_Reference ()
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.

## Static Public Member Functions

static bool | check_type (ValueBase::Type type)
static ValueNode_Reference * | create (const ValueBase &x)

## Protected Member Functions

virtual bool | set_link_vfunc (int i, ValueNode::Handle x)
LinkableValueNode * | create_new () const

## Member Typedef Documentation

typedef etl::handle<ValueNode_Reference> synfig::ValueNode_Reference::Handle

Reimplemented from synfig::LinkableValueNode.

Reimplemented in synfig::ValueNode_Greyed.

typedef etl::handle<const ValueNode_Reference> synfig::ValueNode_Reference::ConstHandle

Reimplemented from synfig::LinkableValueNode.

## Constructor & Destructor Documentation

ValueNode_Reference::ValueNode_Reference | ( | const ValueBase::Type & | x | ) |

Referenced by create(), and create_new().

ValueNode_Reference::ValueNode_Reference | ( | const ValueNode::Handle & | x | ) |

References synfig::LinkableValueNode::set_link().

ValueNode_Reference::~ValueNode_Reference | ( |  | ) | `[virtual]`

References synfig::LinkableValueNode::unlink_all().

## Member Function Documentation

virtual ValueNode::LooseHandle synfig::ValueNode_Reference::get_link_vfunc | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

int ValueNode_Reference::link_count | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

Referenced by link_local_name(), link_name(), and set_link_vfunc().

String ValueNode_Reference::link_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

String ValueNode_Reference::link_local_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References _, and link_count().

int ValueNode_Reference::get_link_index_from_name | ( | const String & | name | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

ValueBase ValueNode_Reference::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

String ValueNode_Reference::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

Reimplemented in synfig::ValueNode_Greyed.

String ValueNode_Reference::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

Reimplemented in synfig::ValueNode_Greyed.

References _.

bool ValueNode_Reference::set_link_vfunc | ( | int | i,
|  | ValueNode::Handle | x |
| ) |  |  | `[protected, virtual]`

Implements synfig::LinkableValueNode.

References CHECK_TYPE_AND_SET_VALUE, synfig::ValueNode::get_type(), and link_count().

LinkableValueNode * ValueNode_Reference::create_new | ( |  | ) | const`[protected, virtual]`

Implements synfig::LinkableValueNode.

Reimplemented in synfig::ValueNode_Greyed.

References synfig::ValueNode::get_type(), and ValueNode_Reference().

bool ValueNode_Reference::check_type | ( | ValueBase::Type | type | ) | `[static]`

ValueNode_Reference * ValueNode_Reference::create | ( | const ValueBase & | x | ) | `[static]`

Reimplemented in synfig::ValueNode_Greyed.

References synfig::ValueNode_Const::create(), and ValueNode_Reference().

The documentation for this class was generated from the following files:

- valuenode_reference.h
- valuenode_reference.cpp